SynapSynapDocs
Hub REST API

Notifications

The Notifications operations of the Hub REST API (1 operation).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)

Create a notification

POST
/notifications

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Request Body

application/json
  1. body
userId*string
workspaceId*string
type*string

Registry type, e.g. skill.triggered, proposal.created, ai_request.vault_access.

sourceType?NotificationSourceType
Value in"proposal""connector""agent""system""inbox_item"
sourceId?string
workspaceUrl?string
groupKey?string
data?

Response Body

Created notification id

application/json
  1. response
id*string
Example Request
curl -X POST 'https://pod.example.com/api/hub/notifications' \  -H 'Content-Type: application/json' \  -d '{  "userId": "string",  "workspaceId": "string",  "type": "string"}'
Example Response
{  "id": "string"}